%global project_version 1.0-beta-2

Name:           plexus-active-collections
Version:        1.0
Release:        %mkrel 0.3.beta2.19
Summary:        Plexus Container-Backed Active Collections

Group:          Development/Java
License:        ASL 2.0
URL:            http://plexus.codehaus.org/
#svn export http://svn.codehaus.org/plexus/tags/plexus-active-collections-1.0-beta-2/
#tar zcf plexus-active-collections-1.0-beta-2.tar.gz plexus-active-collections-1.0-beta-2/
Source0:        plexus-active-collections-1.0-beta-2.tar.gz
Source1:        http://apache.org/licenses/LICENSE-2.0.txt

Patch0:         %{name}-migration-to-component-metadata.patch

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)


%description
Plexus Container-Backed Active Collections

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{project_version}
%patch0 -p1
cp %{SOURCE1} .

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Wed Aug 19 2020 neoclust <neoclust> 1.0-0.3.beta2.19.mga8
+ Revision: 1615954
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.0-0.3.beta2.18.mga8
+ Revision: 1499256
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-0.3.beta2.17.mga7
+ Revision: 1274195
- Mageia 7 Mass Rebuild

* Thu May 11 2017 neoclust <neoclust> 1.0-0.3.beta2.16.mga6
+ Revision: 1100445
- Rebuild on core/release

* Sun May 07 2017 neoclust <neoclust> 1.0-0.3.beta2.15.mga6
+ Revision: 1099555
- Update for modern guidelines
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 1.0-0.3.beta2.13.mga5
+ Revision: 811082
- build with xmvn
- use .mfiles generated during build
- use %%mvn_file to get files on plexus directory
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.3.beta2.12.mga5
+ Revision: 741019
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.0-0.3.beta2.9.mga4
+ Revision: 488871
- Fix BR
- Remove superfluous BRs, fixes rhbz #915615

* Sun Jan 13 2013 umeabot <umeabot> 1.0-0.3.beta2.8.mga3
+ Revision: 377818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0-0.3.beta2.7.mga3
+ Revision: 343216
- Add Licence
- Rebuild against Java7

* Thu Jan 05 2012 dmorgan <dmorgan> 1.0-0.3.beta2.5.mga2
+ Revision: 191688
- Sync with fedora ( use new maven macros)
+ gil <gil>
- replaced plexus-maven-plugin with plexus-component-metadata

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-0.3.beta2.3.mga2
+ Revision: 127442
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.3.beta2.2.mga1
+ Revision: 93007
- Rebuild after bootstrapping
- imported package plexus-active-collections


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 26 2010 Yong Yang <yyang@redhat.com> - 1.0-0.2.beta2
- Fix JPP pom name

* Mon May 10 2010 Yong Yang <yyang@redhat.com> - 1.0-0.1.beta2
- Initial build
